Loading...
Searching...
No Matches
av_alias Union Reference

`#include <libavutil/intreadwrite.h>`

## Data Fields

uint64_t | u64
uint32_t | u32 [2]
uint16_t | u16 [4]
uint8_t | u8 [8]
double | f64
float | f32 [2]

## Detailed Description

Definition at line 27 of file intreadwrite.h.

## Field Documentation

## u64

uint64_t av_alias::u64

Definition at line 28 of file intreadwrite.h.

## u32

uint32_t av_alias::u32

Definition at line 29 of file intreadwrite.h.

## u16

uint16_t av_alias::u16

Definition at line 30 of file intreadwrite.h.

## u8

uint8_t av_alias::u8

Definition at line 31 of file intreadwrite.h.

## f64

double av_alias::f64

Definition at line 32 of file intreadwrite.h.

## f32

float av_alias::f32

Definition at line 33 of file intreadwrite.h.

The documentation for this union was generated from the following file:

- libavutil/intreadwrite.h